//+------------------------------------------------------------------+
//|                                                  HPSpeed-T01.mq4 |
//|                          Copyright  2008, HomeSoft-Tartan Corp. |
//|                                          http://www.fxexperts.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, HomeSoft-Tartan Corp."
#property link      "http://www.fxexperts.ru"
#define pi 3.141592653589793238462643383279502884197169399375105820974944592
#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red
#property indicator_width1 3
#property indicator_width2 3

extern int mBar = 300;
extern int per  = 21;

double SLBuff[],SRBuff[],hpone,hpnul,spb;
int    cnt;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexBuffer(0,SLBuff);
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(1,SRBuff);
   SetIndexStyle(1,DRAW_HISTOGRAM);   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//----
   for (cnt=mBar;cnt>=0;cnt--)
    {
        hpone=iCustom(NULL,0,"HP",mBar,per,0,cnt+1);
        hpnul=iCustom(NULL,0,"HP",mBar,per,0,cnt);
        spb=NormalizeDouble(((hpnul-hpone)/Point),Digits);
   if (spb>=0) SLBuff[cnt]=spb;
   if (spb<0)  SRBuff[cnt]=spb;
    }    
//----
   return(0);
  }
//+------------------------------------------------------------------+